import { ResourceType } from '@genesislcap/foundation-comms';
export declare const withoutFilterItemLabel = "All";
export declare const activeFilterItemLabel = "Active";
export declare const inactiveFilterItemLabel = "Inactive";
export declare const activeFilterItemValue = "ENABLED";
export declare const inactiveFilterItemValue = "DISABLED";
export declare const filterKey = "RULE_STATUS";
export declare const criteriaMap: Map<string, string>;
export declare const mockConnectMetadataDefault: {
    TYPE: ResourceType;
    REQUEST_FIELD: {
        NAME: string;
        TYPE: string;
    }[];
};
export declare const mockConnectMetadataUnsupported: {
    REQUEST_FIELD: any[];
    TYPE: ResourceType;
};
export declare const mockAlertsRulesItemDefault: {
    MESSAGE: string;
    TOPIC: string;
    RULE_NAME: string;
    RULE_DESCRIPTION: string;
    USER_NAME: string;
    RULE_TABLE: string;
    RULE_EXPRESSION: string;
    RULE_STATUS: string;
    DYNAMIC_NOTIFY_RULE_ID: string;
};
export declare const mockAlertsRulesDefaultResponse: {
    ROWS_COUNT: number;
    MESSAGE_TYPE: string;
    ROW: {
        DETAILS: {
            OPERATION: string;
            ROW_REF: string;
        };
        MESSAGE: string;
        TOPIC: string;
        RULE_NAME: string;
        RULE_DESCRIPTION: string;
        USER_NAME: string;
        RULE_TABLE: string;
        RULE_EXPRESSION: string;
        RULE_STATUS: string;
        DYNAMIC_NOTIFY_RULE_ID: string;
    }[];
    MORE_ROWS: boolean;
    SOURCE_REF: string;
    SEQUENCE_ID: number;
};
export declare const mockAlertsRulesItemInsert: {
    MESSAGE: string;
    TOPIC: string;
    RULE_NAME: string;
    RULE_DESCRIPTION: string;
    USER_NAME: string;
    RULE_TABLE: string;
    RULE_EXPRESSION: string;
    RULE_STATUS: string;
    DYNAMIC_NOTIFY_RULE_ID: string;
};
export declare const mockAlertsRulesInsertResponse: {
    MESSAGE_TYPE: string;
    ROW: {
        DETAILS: {
            OPERATION: string;
            ROW_REF: string;
        };
        MESSAGE: string;
        TOPIC: string;
        RULE_NAME: string;
        RULE_DESCRIPTION: string;
        USER_NAME: string;
        RULE_TABLE: string;
        RULE_EXPRESSION: string;
        RULE_STATUS: string;
        DYNAMIC_NOTIFY_RULE_ID: string;
    }[];
    SOURCE_REF: string;
    SEQUENCE_ID: number;
};
export declare const mockAlertsRulesItemUpdateMessage = "Update test";
export declare const mockAlertsRulesItemUpdate: {
    MESSAGE: string;
    TOPIC: string;
    RULE_NAME: string;
    RULE_DESCRIPTION: string;
    USER_NAME: string;
    RULE_TABLE: string;
    RULE_EXPRESSION: string;
    RULE_STATUS: string;
    DYNAMIC_NOTIFY_RULE_ID: string;
};
export declare const mockAlertsRulesUpdateResponse: {
    MESSAGE_TYPE: string;
    ROW: {
        DETAILS: {
            OPERATION: string;
            ROW_REF: string;
        };
        MESSAGE: string;
        TOPIC: string;
        RULE_NAME: string;
        RULE_DESCRIPTION: string;
        USER_NAME: string;
        RULE_TABLE: string;
        RULE_EXPRESSION: string;
        RULE_STATUS: string;
        DYNAMIC_NOTIFY_RULE_ID: string;
    }[];
    SOURCE_REF: string;
    SEQUENCE_ID: number;
};
export declare const mockAlertsRulesDeleteResponse: {
    MESSAGE_TYPE: string;
    ROW: {
        DETAILS: {
            OPERATION: string;
            ROW_REF: string;
        };
    }[];
    SOURCE_REF: string;
    SEQUENCE_ID: number;
};
//# sourceMappingURL=index.d.ts.map